import request from '@/utils/request'

// 查询ipad服务器列表
export function listQwIpadServer(query) {
  return request({
    url: '/qw/qwIpadServer/list',
    method: 'get',
    params: query
  })
}

//查询ipad服务器列表 去重版
export function listDisQwIpadServer(query) {
  return request({
    url: '/qw/qwIpadServer/disList',
    method: 'get',
    params: query
  })
}

// 查询ipad服务器详细
export function getQwIpadServer(id) {
  return request({
    url: '/qw/qwIpadServer/' + id,
    method: 'get'
  })
}

// 新增ipad服务器
export function addQwIpadServer(data) {
  return request({
    url: '/qw/qwIpadServer',
    method: 'post',
    data: data
  })
}

// 修改ipad服务器
export function updateQwIpadServer(data) {
  return request({
    url: '/qw/qwIpadServer',
    method: 'put',
    data: data
  })
}

// 删除ipad服务器
export function delQwIpadServer(id) {
  return request({
    url: '/qw/qwIpadServer/' + id,
    method: 'delete'
  })
}

// 导出ipad服务器
export function exportQwIpadServer(query) {
  return request({
    url: '/qw/qwIpadServer/export',
    method: 'get',
    params: query
  })
}

// 新增ipad服务器
export function release(data) {
  return request({
    url: '/qw/records/release',
    method: 'post',
    data: data
  })
}
